org.apache.ignite.internal.visor.node

## Class VisorSpisConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorSpisConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorSpisConfiguration
    extends VisorDataTransferObject

Data transfer object for node SPIs configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorSpisConfiguration()` Default constructor.
`VisorSpisConfiguration(IgniteConfiguration c)` Create data transfer object for node SPIs configuration properties.

### Method Summary

Methods
`VisorSpiDescription[]` `getCheckpointSpis()`
`VisorSpiDescription` `getCollisionSpi()`
`VisorSpiDescription` `getCommunicationSpi()`
`VisorSpiDescription` `getDeploymentSpi()`
`VisorSpiDescription` `getDiscoverySpi()`
`VisorSpiDescription` `getEventStorageSpi()`
`VisorSpiDescription[]` `getFailoverSpis()`
`VisorSpiDescription[]` `getIndexingSpis()`
`VisorSpiDescription[]` `getLoadBalancingSpis()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSpisConfiguration

    public VisorSpisConfiguration()

Default constructor.

#### VisorSpisConfiguration

    public VisorSpisConfiguration(IgniteConfiguration c)

Create data transfer object for node SPIs configuration properties.

Parameters:
  `c` - Grid configuration.

### Method Detail

#### getDiscoverySpi

    public VisorSpiDescription getDiscoverySpi()

Returns:
  Discovery SPI.

#### getCommunicationSpi

    public VisorSpiDescription getCommunicationSpi()

Returns:
  Communication SPI.

#### getEventStorageSpi

    public VisorSpiDescription getEventStorageSpi()

Returns:
  Event storage SPI.

#### getCollisionSpi

    public VisorSpiDescription getCollisionSpi()

Returns:
  Collision SPI.

#### getDeploymentSpi

    public VisorSpiDescription getDeploymentSpi()

Returns:
  Deployment SPI.

#### getCheckpointSpis

    public VisorSpiDescription[] getCheckpointSpis()

Returns:
  Checkpoint SPIs.

#### getFailoverSpis

    public VisorSpiDescription[] getFailoverSpis()

Returns:
  Failover SPIs.

#### getLoadBalancingSpis

    public VisorSpiDescription[] getLoadBalancingSpis()

Returns:
  Load balancing SPIs.

#### getIndexingSpis

    public VisorSpiDescription[] getIndexingSpis()

Returns:
  Indexing SPIs.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017